- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libwpg::WPGColor Class Reference

`#include <WPGColor.h>`

## Public Member Functions
| WPGColor ()
| WPGColor (int r, int g, int b)
| WPGColor (int r, int g, int b, int a)
| WPGColor (const WPGColor &color)
WPGColor & | operator= (const WPGColor &color)
const ::librevenge::RVNGString | getColorString () const
double | getOpacity () const

## Public Attributes
int | red
int | green
int | blue
int | alpha

## Constructor & Destructor Documentation

libwpg::WPGColor::WPGColor | ( |  | ) |

libwpg::WPGColor::WPGColor | ( | int | r,
|  | int | g,
|  | int | b
| ) |  |

libwpg::WPGColor::WPGColor | ( | int | r,
|  | int | g,
|  | int | b,
|  | int | a
| ) |  |

libwpg::WPGColor::WPGColor | ( | const WPGColor & | color | ) |

## Member Function Documentation

const ::librevenge::RVNGString libwpg::WPGColor::getColorString | ( |  | ) | const

Referenced by WPG2Parser::handleBrushForeColor(), WPG1Parser::handleColormap(), WPG2Parser::handleColorPalette(), WPG2Parser::handleDPBrushBackColor(), WPG2Parser::handleDPBrushForeColor(), WPG2Parser::handleDPColorPalette(), WPG2Parser::handleDPPenBackColor(), WPG1Parser::handleFillAttributes(), WPG1Parser::handleLineAttributes(), WPG2Parser::handlePenBackColor(), WPG1Parser::parse(), WPG1Parser::WPG1Parser(), and WPG2Parser::WPG2Parser().

double libwpg::WPGColor::getOpacity | ( |  | ) | const

Referenced by WPG2Parser::handleBrushForeColor(), WPG2Parser::handleDPBrushBackColor(), WPG2Parser::handleDPBrushForeColor(), WPG2Parser::handleDPPenBackColor(), WPG1Parser::handleFillAttributes(), WPG1Parser::handleLineAttributes(), WPG2Parser::handlePenBackColor(), WPG1Parser::parse(), WPG1Parser::WPG1Parser(), and WPG2Parser::WPG2Parser().

libwpg::WPGColor & libwpg::WPGColor::operator= | ( | const WPGColor & | color | ) |

## Member Data Documentation

int libwpg::WPGColor::alpha

Referenced by operator=().

int libwpg::WPGColor::blue

Referenced by operator=().

int libwpg::WPGColor::green

Referenced by operator=().

int libwpg::WPGColor::red

Referenced by operator=().

The documentation for this class was generated from the following files:

- WPGColor.h
- WPGColor.cpp